org.apache.ignite.cache.query

## Interface FieldsQueryCursor<T>

All Superinterfaces:
  AutoCloseable, Iterable<T>, QueryCursor<T>

All Known Implementing Classes:
  QueryCursorImpl

    public interface FieldsQueryCursor<T>
    extends QueryCursor<T>

SQL query result cursor. This extends `QueryCursor` to expose fields metadata to public API for SqlFieldsQueries.

### Method Summary

Methods
`int` `getColumnsCount()` Gets number of columns in a row.
`String` `getFieldName(int idx)` Gets field name.

### Methods inherited from interface org.apache.ignite.cache.query.QueryCursor

`close, getAll`

### Methods inherited from interface java.lang.Iterable

`iterator`

### Method Detail

#### getFieldName

    String getFieldName(int idx)

Gets field name.

Parameters:
  `idx` - field index.
Returns:
  Field name.

#### getColumnsCount

    int getColumnsCount()

Gets number of columns in a row.

Returns:
  row size.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017